NUMBERNODECCT(3)

NAME
numberNodeCct - counts the number of nodes used within a circuit

SYNOPSYS
#include "logmmm.h"
int numberNodeCct(pC)
pCircuit pC;

PARAMETER

pC  circuit on which the count is done

DESCRIPTION
numberNodeCct() counts the nodes that are used in pC.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
pCircuit pC;
chain_list *expr;
displayBdd(SMALL_BDD);
pC = initializeCct("circuit 1",10,10);
addInputCct(pC,"a");
addInputCct(pC,"b");
	/* let's suppose that expr = (OR a (AND (NOT a) b)) */
addOuputCct(pC,"s1",one);
addOuputCct(pC,"s2",ablToBddCct(pC,expr));
printf("number of nodes of the circuit = %d",numberNodeCct(pC));
/* it will display
number of nodes of the circuit = 2
*/
destroyCct(pC);
destroyBdd(1);

SEE ALSO
log(1), bdd(1), initializeCct(3), resetCct(3), cpOrderCct(3), destroyCct(3).